Github messages for voidlinux
 help / color / mirror / Atom feed
From: voidlinux-github@inbox.vuxu.org
To: ml@inbox.vuxu.org
Subject: Re: [PR PATCH] [Updated] Xfce switch to python3
Date: Mon, 20 Jan 2020 04:06:44 +0100	[thread overview]
Message-ID: <20200120030644.B2fiXVUn8w6jYYbh_bPRPi4clJ7HNr9NMcSQewGGVYs@z> (raw)
In-Reply-To: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-17766@inbox.vuxu.org>

[-- Attachment #1: Type: text/plain, Size: 384 bytes --]

There is an updated pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages xfce-switch-to-python3
https://github.com/void-linux/void-packages/pull/17766

Xfce switch to python3
- xfce: switch all python in its dependencies chain to Python 3


A patch file from https://github.com/void-linux/void-packages/pull/17766.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-xfce-switch-to-python3-17766.patch --]
[-- Type: text/x-diff, Size: 10033 bytes --]

From ba5fa300e412c5e5438986d4e400db1e534102dc Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Sat, 18 Jan 2020 16:59:57 +0700
Subject: [PATCH 1/2] libbytesize: drop python2 in checkdepends

---
 srcpkgs/libbytesize/template | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/srcpkgs/libbytesize/template b/srcpkgs/libbytesize/template
index af8c33c0450..4cea12da9b8 100644
--- a/srcpkgs/libbytesize/template
+++ b/srcpkgs/libbytesize/template
@@ -5,7 +5,7 @@ revision=2
 build_style=gnu-configure
 hostmakedepends="gettext python3"
 makedepends="mpfr-devel pcre2-devel"
-checkdepends="python3-six python-six"
+checkdepends="python3-six"
 short_desc="Library for operations with sizes in bytes"
 maintainer="Orphaned <orphan@voidlinux.org>"
 license="LGPL-2.1-or-later"
@@ -33,7 +33,6 @@ libbytesize-devel_package() {
 
 libbytesize-python3_package() {
 	archs=noarch
-	pycompile_module="bytesize"
 	depends="python3-six ${sourcepkg}>=${version}_${revision}"
 	short_desc+=" - Python3 bindings"
 	pkg_install() {

From 5fe02ff3d9a51ec2af3a6731bd18c9dc20e8e916 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Sat, 18 Jan 2020 17:40:12 +0700
Subject: [PATCH 2/2] glade3: switch to python3, add webkit module

- also split python and webkit module out

Closes: https://github.com/void-linux/void-packages/issues/18236
---
 srcpkgs/glade3-python3                        |  1 +
 srcpkgs/glade3-webkit2gtk                     |  1 +
 srcpkgs/glade3/patches/autogen-autoconf.patch | 98 +++++++++++++++++++
 .../patches/configure-shell-quote.patch       | 11 +++
 srcpkgs/glade3/patches/cross.patch            | 40 ++++++++
 srcpkgs/glade3/template                       | 31 +++++-
 6 files changed, 177 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/glade3-python3
 create mode 120000 srcpkgs/glade3-webkit2gtk
 create mode 100644 srcpkgs/glade3/patches/autogen-autoconf.patch
 create mode 100644 srcpkgs/glade3/patches/configure-shell-quote.patch
 create mode 100644 srcpkgs/glade3/patches/cross.patch

diff --git a/srcpkgs/glade3-python3 b/srcpkgs/glade3-python3
new file mode 120000
index 00000000000..9888daa0cae
--- /dev/null
+++ b/srcpkgs/glade3-python3
@@ -0,0 +1 @@
+glade3
\ No newline at end of file
diff --git a/srcpkgs/glade3-webkit2gtk b/srcpkgs/glade3-webkit2gtk
new file mode 120000
index 00000000000..9888daa0cae
--- /dev/null
+++ b/srcpkgs/glade3-webkit2gtk
@@ -0,0 +1 @@
+glade3
\ No newline at end of file
diff --git a/srcpkgs/glade3/patches/autogen-autoconf.patch b/srcpkgs/glade3/patches/autogen-autoconf.patch
new file mode 100644
index 00000000000..f1dfc342b47
--- /dev/null
+++ b/srcpkgs/glade3/patches/autogen-autoconf.patch
@@ -0,0 +1,98 @@
+From 8341cf78bc6879cb2d50e12b5886ee7dca3d09f2 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Javier=20Jard=C3=B3n?= <jjardon@gnome.org>
+Date: Sat, 9 Feb 2019 13:15:17 +0000
+Subject: [PATCH] Use autoreconf instead deprecated gnome-common
+
+See https://wiki.gnome.org/Projects/GnomeCommon/Migration
+---
+ autogen.sh   | 47 +++++++++++++++++++++++++++++++++--------------
+ configure.ac |  6 ++----
+ 2 files changed, 35 insertions(+), 18 deletions(-)
+
+diff --git autogen.sh autogen.sh
+index 1d8cd840..fd35663b 100755
+--- autogen.sh
++++ autogen.sh
+@@ -1,22 +1,41 @@
+ #!/bin/sh
+ # Run this to generate all the initial makefiles, etc.
++test -n "$srcdir" || srcdir=$(dirname "$0")
++test -n "$srcdir" || srcdir=.
+ 
+-srcdir=`dirname $0`
+-test -z "$srcdir" && srcdir=.
++olddir=$(pwd)
+ 
+-PKG_NAME="glade"
++cd $srcdir
+ 
+-(test -f $srcdir/configure.ac \
+-  && test -f $srcdir/autogen.sh) || {
+-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+-    echo " top-level $PKG_NAME directory"
+-    exit 1
++(test -f configure.ac) || {
++        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
++        exit 1
+ }
+ 
+-which gnome-autogen.sh || {
+-    echo "You need to install gnome-common module and make"
+-    echo "sure the gnome-autogen.sh script is in your \$PATH."
+-    exit 1
+-}
++# shellcheck disable=SC2016
++PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
++
++if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
++        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
++        echo "*** If you wish to pass any to it, please specify them on the" >&2
++        echo "*** '$0' command line." >&2
++        echo "" >&2
++fi
++
++aclocal --install || exit 1
++gtkdocize --copy || exit 1
++intltoolize --force --copy --automake || exit 1
++autoreconf --verbose --force --install || exit 1
++
++cd "$olddir"
++if [ "$NOCONFIGURE" = "" ]; then
++        $srcdir/configure "$@" || exit 1
+ 
+-. gnome-autogen.sh
++        if [ "$1" = "--help" ]; then
++                exit 0
++        else
++                echo "Now type 'make' to compile $PKG_NAME" || exit 1
++        fi
++else
++        echo "Skipping configure process."
++fi
+diff --git configure.ac configure.ac
+index a3524656..638e7801 100644
+--- configure.ac
++++ configure.ac
+@@ -33,6 +33,8 @@ AM_MAINTAINER_MODE([enable])
+ # to make
+ AM_SILENT_RULES([yes])
+ 
++AX_CHECK_ENABLE_DEBUG([yes],[GNOME_ENABLE_DEBUG])
++
+ # Checks for programs
+ AC_PROG_CC
+ AC_PROG_INSTALL
+@@ -79,10 +81,6 @@ AM_CONDITIONAL(GLADE_UNSTABLE, test "x$GLADE_UNSTABLE" = "xyes")
+ 
+ # ================================================================
+ 
+-GNOME_DEBUG_CHECK
+-GNOME_COMPILE_WARNINGS([maximum])
+-GNOME_MAINTAINER_MODE_DEFINES
+-
+ # For the plugins, we don't use the warning flags defined by GNOME_COMPILE_WARNINGS.
+ # These flags include -Wmissing-prototypes, which we prefer not to use.
+ if test "x$GCC" = "xyes"; then
+-- 
+2.24.1
+
diff --git a/srcpkgs/glade3/patches/configure-shell-quote.patch b/srcpkgs/glade3/patches/configure-shell-quote.patch
new file mode 100644
index 00000000000..fbf62cf60d0
--- /dev/null
+++ b/srcpkgs/glade3/patches/configure-shell-quote.patch
@@ -0,0 +1,11 @@
+--- configure.ac.orig	2020-01-20 09:30:53.496303801 +0700
++++ configure.ac	2020-01-20 09:31:07.815258081 +0700
+@@ -279,7 +279,7 @@
+ dnl Check for GDK Quartz and MacOSX integration package 
+ dnl ================================================================
+ _gdk_tgt=`$PKG_CONFIG --variable=targets gdk-3.0`
+-AM_CONDITIONAL([GDK_TARGET_QUARTZ], [test x$_gdk_tgt = xquartz])
++AM_CONDITIONAL([GDK_TARGET_QUARTZ], [test "x$_gdk_tgt" = xquartz])
+ if test "x$_gdk_tgt" = xquartz; then 
+    PKG_CHECK_MODULES(GTK_MAC, gtk-mac-integration-gtk3)
+ 
diff --git a/srcpkgs/glade3/patches/cross.patch b/srcpkgs/glade3/patches/cross.patch
new file mode 100644
index 00000000000..03b1d7e846e
--- /dev/null
+++ b/srcpkgs/glade3/patches/cross.patch
@@ -0,0 +1,40 @@
+--- m4/python.m4
++++ m4/python.m4
+@@ -43,17 +43,9 @@
+ [AC_REQUIRE([AM_PATH_PYTHON])
+ AC_MSG_CHECKING(for headers required to compile python extensions)
+ dnl deduce PYTHON_INCLUDES
+-am_python_print_includes="\
+-from distutils import sysconfig as sc
+-incldirs = [[]]
+-
+-for d in sc.get_config_var('INCLDIRSTOMAKE').split():
+-    incldirs.append('-I' + d)
+-
+-print(' '.join(incldirs))
+-"
++xbps_sysroot=`$CC --print-sysroot`
+ if test "x$PYTHON_INCLUDES" == x; then
+-  PYTHON_INCLUDES=`$PYTHON -c "$am_python_print_includes"`
++  PYTHON_INCLUDES=`"$xbps_sysroot/$PYTHON-config" --includes`
+ fi
+ AC_SUBST(PYTHON_INCLUDES)
+ dnl check if the headers exist:
+@@ -74,16 +66,11 @@
+ [AC_REQUIRE([AM_CHECK_PYTHON_HEADERS])
+ AC_MSG_CHECKING(for libraries required to embed python)
+ dnl deduce PYTHON_LIBS
+-am_python_print_libs="\
+-from distutils import sysconfig as sc
+-libs = '-L' + sc.get_config_var('LIBDIR').strip()
+-libs += ' ' + sc.get_config_var('BLDLIBRARY')
+-print(libs)"
+ am_python_print_lib_loc="\
+ from distutils import sysconfig as sc
+ print(sc.get_config_var('LIBDIR'))"
+ if test "x$PYTHON_LIBS" == x; then
+-	PYTHON_LIBS=`$PYTHON -c "$am_python_print_libs"`
++	PYTHON_LIBS=`"$xbps_sysroot/$PYTHON-config" --ldflags --embed`
+ fi
+ if test "x$PYTHON_LIB_LOC" == x; then
+ 	PYTHON_LIB_LOC=`$PYTHON -c "$am_python_print_lib_loc"`
diff --git a/srcpkgs/glade3/template b/srcpkgs/glade3/template
index 4b104ffc73a..e1da3f3d216 100644
--- a/srcpkgs/glade3/template
+++ b/srcpkgs/glade3/template
@@ -1,13 +1,15 @@
 # Template file for 'glade3'
 pkgname=glade3
 version=3.22.1
-revision=3
+revision=4
 wrksrc="glade-${version}"
 build_style=gnu-configure
 build_helper="gir"
-configure_args="--disable-static $(vopt_enable gir introspection)"
-hostmakedepends="glib-devel gnome-doc-utils intltool itstool pkg-config"
-makedepends="gtk+3-devel python-gobject-devel"
+configure_args="--disable-static --enable-debug=info PYTHON=/usr/bin/python3
+ $(vopt_enable gir introspection)"
+hostmakedepends="glib-devel gnome-doc-utils intltool itstool pkg-config
+ automake autoconf-archive libtool yelp-tools gettext-devel gtk-doc"
+makedepends="gtk+3-devel python3-gobject-devel webkit2gtk-devel"
 depends="desktop-file-utils hicolor-icon-theme"
 short_desc="User Interface Designer for GTK+3"
 maintainer="Orphaned <orphan@voidlinux.org>"
@@ -21,13 +23,16 @@ lib32disabled=yes
 build_options="gir"
 build_options_default="gir"
 
+pre_configure() {
+	NOCONFIGURE=1 ./autogen.sh
+}
+
 do_check() {
 	# Require running xserver
 	:
 }
 
 libgladeui3_package() {
-	depends="python-gobject"
 	short_desc="GTK+ User Interface Build core library"
 	pkg_install() {
 		vmove "usr/lib/*.so.*"
@@ -50,3 +55,19 @@ glade3-devel_package() {
 		vmove "usr/lib/*.so"
 	}
 }
+
+glade3-python3_package() {
+	depends="glade3>=${version}_${revision} python3-gobject"
+	short_desc+=" - Python 3 module"
+	pkg_install() {
+		vmove "usr/lib/glade/modules/libgladepython.so"
+	}
+}
+
+glade3-webkit2gtk_package() {
+	depends="glade3>=${version}_${revision}"
+	short_desc+=" - Webkit2GTK module"
+	pkg_install() {
+		vmove "usr/lib/glade/modules/libgladewebkit2gtk.so"
+	}
+}

  parent reply	other threads:[~2020-01-20  3:06 UTC|newest]

Thread overview: 67+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-25  2:36 [PR PATCH] " voidlinux-github
2019-12-25  8:02 ` [PR PATCH] [Updated] " voidlinux-github
2019-12-25 16:01 ` voidlinux-github
2019-12-25 21:18 ` voidlinux-github
2019-12-26 13:27 ` voidlinux-github
2019-12-26 13:27 ` [PR PATCH] [Updated] " voidlinux-github
2019-12-26 14:23 ` voidlinux-github
2019-12-26 14:40 ` voidlinux-github
2019-12-26 14:42 ` voidlinux-github
2019-12-27 13:01 ` [PR PATCH] [Updated] " voidlinux-github
2020-01-01  6:59 ` voidlinux-github
2020-01-02 12:50 ` voidlinux-github
2020-01-06 23:53 ` voidlinux-github
2020-01-07  0:06 ` voidlinux-github
2020-01-07 14:04 ` voidlinux-github
2020-01-11  2:41 ` voidlinux-github
2020-01-18 10:07 ` voidlinux-github
2020-01-18 10:40 ` voidlinux-github
2020-01-18 11:16 ` voidlinux-github
2020-01-18 14:03 ` voidlinux-github
2020-01-18 23:47 ` [PR PATCH] [Updated] " voidlinux-github
2020-01-18 23:48 ` voidlinux-github
2020-01-18 23:58 ` [PR PATCH] [Updated] " voidlinux-github
2020-01-19 15:00 ` voidlinux-github
2020-01-19 15:00 ` voidlinux-github
2020-01-20  3:06 ` voidlinux-github [this message]
2020-01-20  3:09 ` voidlinux-github
2020-01-20 13:26 ` voidlinux-github
2020-01-20 13:36 ` voidlinux-github
2020-01-20 14:14 ` voidlinux-github
2020-01-20 14:26 ` voidlinux-github
2020-01-20 14:39 ` [PR PATCH] [Updated] " voidlinux-github
2020-01-20 14:45 ` voidlinux-github
2020-01-20 14:45 ` voidlinux-github
2020-01-20 14:55 ` voidlinux-github
2020-01-20 15:04 ` voidlinux-github
2020-01-20 15:04 ` voidlinux-github
2020-01-20 15:06 ` voidlinux-github
2020-01-20 15:10 ` [PR PATCH] [Updated] " voidlinux-github
2020-01-20 15:27 ` voidlinux-github
2020-01-20 15:32 ` voidlinux-github
2020-01-21  4:58 ` voidlinux-github
2020-01-21  4:59 ` [PR PATCH] [Updated] " voidlinux-github
2020-01-21  5:03 ` voidlinux-github
2020-01-21  5:09 ` voidlinux-github
2020-01-22  3:59 ` voidlinux-github
2020-01-22  4:01 ` voidlinux-github
2020-01-22  4:04 ` voidlinux-github
2020-01-30  2:35 ` voidlinux-github
2020-01-30 12:22 ` voidlinux-github
2020-02-03  2:47 ` [PR PATCH] [Updated] " voidlinux-github
2020-02-03  2:47 ` voidlinux-github
2020-02-03  2:48 ` voidlinux-github
2020-02-03  2:48 ` voidlinux-github
2020-02-03 10:30 ` voidlinux-github
2020-02-03 10:32 ` voidlinux-github
2020-02-03 10:33 ` voidlinux-github
2020-02-03 13:09 ` voidlinux-github
2020-02-03 13:14 ` [PR PATCH] [Updated] " voidlinux-github
2020-02-04  1:08 ` voidlinux-github
2020-02-04  2:59 ` voidlinux-github
2020-02-04  7:35 ` voidlinux-github
2020-02-04  7:59 ` voidlinux-github
2020-02-04 12:40 ` voidlinux-github
2020-02-04 13:17 ` voidlinux-github
2020-02-04 20:11 ` voidlinux-github
2020-02-05 15:01 ` [PR PATCH] [Closed]: " voidlinux-github

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20200120030644.B2fiXVUn8w6jYYbh_bPRPi4clJ7HNr9NMcSQewGGVYs@z \
    --to=voidlinux-github@inbox.vuxu.org \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).